For the complete documentation index, see llms.txt. This page is also available as Markdown.

Retrieve all Topics

This endpoint enables retrieving all topics using pagination and optional filters.

get
/clusters/{clusterId}/topics
Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Path parameters
clusterIdstring · uuidRequired

The ID (UUID) of the cluster.

Example: e69b22a5-8fee-56b1-b6fb-4a07e4205ead
Responses
200

Returned all requested topics successfully.

application/json
idstring · uuidRequired

ID of the list of Topic resources.

Example: 7c1fe82d-a1ea-55fc-a744-12fad4180eef
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the list of Topic resources.

Example: /clusters/{clusterId}/topics
get/clusters/{clusterId}/topics
GET /clusters/{clusterId}/topics HTTP/1.1
Host: kafka.de-txl.ionos.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "7c1fe82d-a1ea-55fc-a744-12fad4180eef",
  "type": "collection",
  "href": "/clusters/{clusterId}/topics",
  "items": [
    {
      "id": "ae085c4c-3626-5f1d-b4bc-cc53ae8267ce",
      "type": "topic",
      "href": "/clusters/{clusterId}/topics/ae085c4c-3626-5f1d-b4bc-cc53ae8267ce",
      "metadata": {
        "createdDate": "2020-12-10T13:37:50+01:00",
        "createdBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
        "createdByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
        "lastModifiedDate": "2020-12-11T13:37:50+01:00",
        "lastModifiedBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
        "lastModifiedByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
        "resourceURN": "ionos:<product>:<location>:<contract>:<resource-path>",
        "state": "AVAILABLE",
        "message": "In progress."
      },
      "properties": {
        "name": "my-kafka-cluster-topic",
        "replicationFactor": 3,
        "numberOfPartitions": 3,
        "logRetention": {
          "retentionTime": 604800000,
          "segmentBytes": 1073741824
        }
      }
    }
  ]
}

Last updated

Was this helpful?